Unterstützung von PHP 7.4 (General)

by BlindFish1003, Wednesday, March 16, 2022, 07:43 (194 days ago)

Hallo,
unser Webhoster beendet die Unterstützung von PHP 7.3 zu Anfang Mai.
Wir nutzen MLF in Version 2.4.24.
Wo ich auch suche, ich finde keinen Hinweis darauf, ob ich gefahrlos auf PHP 7.4 umstellen kann. Ich sehe nur, dass PHP 8 derzeit nicht unterstützt wird.
Kann mir da vielleicht jemand weiterhelfen?
Danke + Grüße
Markus

Avatar

Unterstützung von PHP 7.4, ja

by Auge ⌂, Thursday, March 17, 2022, 07:55 (193 days ago) @ BlindFish1003

Hallo

unser Webhoster beendet die Unterstützung von PHP 7.3 zu Anfang Mai.
Wir nutzen MLF in Version 2.4.24.
Wo ich auch suche, ich finde keinen Hinweis darauf, ob ich gefahrlos auf PHP 7.4 umstellen kann.

Soweit ich weiß, spricht nichts gegen den Betrieb von MLF 2.4.24 unter PHP 7.4. Ich bilde mir auch ein, dass das auf eine meiner Installationen zutrifft. Um das sicher zu sagen, müsste ich in die Einstellungen einer meiner Installationen schauen. Das kann ich aber erst heute abend tun.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Unterstützung von PHP 7.4, ja

by BlindFish1003, Thursday, March 17, 2022, 09:50 (193 days ago) @ Auge

Danke, das wäre prima, und so lange kann ich auf jeden Fall noch warten mit unserer Umstellung :-).

Unterstützung von PHP 7.4, ja

by BlindFish1003, Thursday, March 17, 2022, 13:52 (193 days ago) @ BlindFish1003

Tatsächlich bin ich jetzt noch auf ein ganz anderes Problem gestoßen, denn unser Forum verwendet ein custom theme, und dieses müsste wohl umfangreich angepasst werden, um die neuen Felder usw. zu unterstützen, denn derzeit ist z. B. das Erstellen neuer Beiträge nicht möglich.

Daher meine nächste Frage:
Kann ich mittels eines Datenbank-Backups und den Dateien des mlf-2.4.6 release einen Rollback machen? Also Backup wiederherstellen und die Datei-Basis überschreiben?

VG Markus

Avatar

Unterstützung von PHP 7.4, ja

by Auge ⌂, Thursday, March 17, 2022, 14:46 (193 days ago) @ BlindFish1003

Hallo

Tatsächlich bin ich jetzt noch auf ein ganz anderes Problem gestoßen, denn unser Forum verwendet ein custom theme, und dieses müsste wohl umfangreich angepasst werden, um die neuen Felder usw. zu unterstützen, denn derzeit ist z. B. das Erstellen neuer Beiträge nicht möglich.

Daher meine nächste Frage:
Kann ich mittels eines Datenbank-Backups und den Dateien des mlf-2.4.6 release einen Rollback machen? Also Backup wiederherstellen und die Datei-Basis überschreiben?

Wenn dein Backup vollständig ist und sowohl die Tabellenstruktur als auch die Daten wiederherstellen kann, ist das von dir beschriebene Vorgehen möglich. Wenn dein Datenbank-Backup stattdessen nur die Daten aber nicht die Struktur enthält, müsstest du die MLF-Version 2.4.6 neu installerien und das Datenbank-Backup in die bis auf die Standardeinstellungen und den bei der Installation festgelegten Admin-Account leere Datenbank einspielen. Dann musst du nur noch dein angepasstes Theme hochladen und aktivieren und das war's.

… allerdings …

Abseits von den in späteren Versionen geänderten und neu eingeführten Funktionen gibt es auch einige (im Sinne von "nicht wenige") Bug- und Sicherheitsfixes. Du solltest also baldmöglichst dein Theme anpassen, damit du die neueste Version benutzen kannst. Eine stichwortartige Zusammenstellung der Änderungen, die das Theming betreffen, findest du im Wiki auf Github.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Unterstützung von PHP 7.4, ja

by BlindFish1003, Thursday, March 17, 2022, 14:56 (193 days ago) @ Auge

Vielen Dank für die Erläuterungen.

Ich habe das Theme leider nicht gemacht, und aktuell habe ich auch keine Zeit, mich da einzulesen. Demnach wäre für den Augenblick nur wichtig, dass der grundsätzliche Funktionsumfang des Forums wieder hergestellt werden kann. Ich habe vor dem Update ein vollständiges Backup gemacht, werde also mal mein Glück versuchen.

Avatar

Unterstützung von PHP 7.4, jetzt mit Sicherheit: ja

by Auge ⌂, Thursday, March 17, 2022, 18:45 (193 days ago) @ BlindFish1003

Hallo

unser Webhoster beendet die Unterstützung von PHP 7.3 zu Anfang Mai.
Wir nutzen MLF in Version 2.4.24.
Wo ich auch suche, ich finde keinen Hinweis darauf, ob ich gefahrlos auf PHP 7.4 umstellen kann.

So, ich habe bei mir nachgeschaut. Mein Webspace war tatsächlich nicht auf PHP 7.4 umgestellt. Das habe ich jetzt einfach mal nachgeholt (jetzt PHP 7.4.28) und stichprobenartig verschiedene Funktionen in und um MLF getestet. Ich habe nichts gefunden, was mit PHP 7.4 nicht funktioniert. Einer Umstellung dürfte also nichts im Wege stehen.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Unterstützung von PHP 7.4, jetzt mit Sicherheit: ja

by BlindFish1003, Friday, March 18, 2022, 14:02 (192 days ago) @ Auge

Danke für's Nachsehen und Testen!

RSS Feed of thread